# ExplodedPrimitive Class Reference
[Base data types used in Form]

Inheritance diagram for ExplodedPrimitive:
[legend]

List of all members.

## Public Member Functions

| setSeparator ($separator)
| getSeparator ()
| setSplitByRegexp ($splitByRegexp=false)
| isSplitByRegexp ()
| import ($scope)
| exportValue ()

## Protected Attributes

| $separator = ' '
| $splitByRegexp = false

## Detailed Description

Definition at line 15 of file ExplodedPrimitive.class.php.

## Member Function Documentation

ExplodedPrimitive::exportValue | ( |  | ) |

Reimplemented from BasePrimitive.

Definition at line 72 of file ExplodedPrimitive.class.php.

ExplodedPrimitive::getSeparator | ( |  | ) |

Definition at line 30 of file ExplodedPrimitive.class.php.

ExplodedPrimitive::import | ( | $ | scope | ) |

Reimplemented from PrimitiveString.

Definition at line 47 of file ExplodedPrimitive.class.php.

References isSplitByRegexp(), and Assert::isUnreachable().

Here is the call graph for this function:

ExplodedPrimitive::isSplitByRegexp | ( |  | ) |

Definition at line 42 of file ExplodedPrimitive.class.php.

Referenced by import().

ExplodedPrimitive::setSeparator | ( | $ | separator | ) |

Returns:
  ExplodedPrimitive

Definition at line 23 of file ExplodedPrimitive.class.php.

References $separator.

ExplodedPrimitive::setSplitByRegexp | ( | $ | splitByRegexp = `false` | ) |

Definition at line 35 of file ExplodedPrimitive.class.php.

References $splitByRegexp.

## Member Data Documentation

ExplodedPrimitive::$separator = ' '`[protected]`

Definition at line 17 of file ExplodedPrimitive.class.php.

Referenced by setSeparator().

ExplodedPrimitive::$splitByRegexp = false`[protected]`

Definition at line 18 of file ExplodedPrimitive.class.php.

Referenced by setSplitByRegexp().

The documentation for this class was generated from the following file:

- core/Form/Primitives/ExplodedPrimitive.class.php